Posts Tagged ‘WordPress’

Hello Fox,

cela fait très longtemps que je n’ai pas publié un article sur ce blog, et c’est bien dommage. Je viens de terminer le restore de 6 sites web que j’héberge sur ma dedibox à cause de ma fainéantise.

Pourtant tout le monde le sait qu’un système à jour a moins de chance de se faire poutrer … Pour le coup j’ai rattrapé le temps perdu, et je voulais partager mon expérience avec vous si jamais vous auriez laissé à l’abandon votre WP.

J’ai récemment MÀJ mon serveur avec la dernière version LTS (Long Time Support) de Ubuntu 14.04. Et je dois dire que j’ai eu mon lot de surprises. J’ai détaillerai dans un prochain billet les soucis que j’ai rencontré. Parmi eux, j’ai découvert une erreur de syntaxe dans le plugin WordPress Gravatar 2.7.1 (je n’ai pas vérifié pour les versions antérieurs). En fait pour les personnes concernées vous devriez avoir une erreur de ce genre dans vos erreurs logs de votre serveur Web :
PHP Parse error:  syntax error, unexpected 'else' (T_ELSE) in /var/www/wp-content/plugins/wp-gravatar/gravatars.php on line 752
Le problème est que des raccourcis d’ouverture de balise PHP ont été utilisé à deux reprises. Faites une recherche sur short_open_tag = On Bonne journée
Le coeur de WordPress résulte dans sa base de données. Et je pense que nombreux sont ceux qui se sont retrouvés dans une situation difficile lors d’une migration d’hébergement ou de changement d’URL. Alors voilà une série de requêtes indispensables lorsqu’on pratique WordPress … Avertissement : Avant toutes modifications, il est vivement conseillé de faire une sauvegarde de votre base de données.
Seulement une semaine après sa sortie, trois bugs dont un “majeur” ont été identifiés sur la nouvelle version 2.9 de WordPress. Pas de panique, après avoir regardé en détail ces bugs, seulement certains d’entre nous seront impactés. De plus, tous les bugs identifiés sont déjà corrigés et seront disponibles dans la prochaine version 2.9.1 de WordPress. Si vous ne voulez pas attendre jusque là, vous pouvez utiliser le correctif de Semiologic. Copiez les trois fichiers dans le dossier wp-include/ de votre installation de wordpress. Voici un aperçu de l’impact des trois bugs identifiés. #11219 Le premier bug, classifié avec une criticité majeure, impacte uniquement les utilisateurs du plugin SimplePie. En fait le plugin n’est plus capable de convertir de UTF-8 vers UTF-8.
Bug WordPress
#11168 Le second bug impacte tous les widgets RSS qui ont été mis à jour de 2.8 vers 2.9.
Bugs Widgets RSS
#11505 Le dernier bug a également été classifié avec une criticité majeure car il impacte le Cron de WordPress, ce qui signifie que la plannification de vos articles ne fonctionne plus. Ceci est peut être un peu plus gênant.
Bug WordPress Cron
source Semiologic